Bug 121084 - message delimiter found while scanning headers
message delimiter found while scanning headers
Product: Fedora
Classification: Fedora
Component: fetchmail (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-04-16 18:06 EDT by Ralf Corsepius
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-03 19:07:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2004-04-16 18:06:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
On certain types of mails, retrieving mail from a remove mail server
aborts with

.fetchmail: message delimiter found while scanning headers

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
Use fetchmail and wait for such a mail to come ;)

Sorry, I don't know how to produce such mails which cause fetchmail to
produce the error. There are some indications that certain versions of
old netscape 4.x produce such kind of mails.

Actual Results:  Such mails can't be "fetched" with fetchmail and stay
permanently on the  remote server.

Expected Results:  Function. Fetchmail should retrieve the mail.

Additional info:

I consider this problem to be serious, because some spammers seem to
have started to send mails which trigger the error in fetchmail.

(I normally receive such kind of mails once a day, but today a wave of
spam had caused 10-20 such fetchmail breakdown)
Comment 1 Michael Schwendt 2004-05-14 13:51:33 EDT
Reporter says the "leading-edge" 6.2.5 version of fetchmail, which is
included in Fedora Core 2 and which is recommended by ESR, 


fixes this problem. The changelog mentions a few mail header parsing
improvements. How about a Test Update for FC1?
Comment 2 Miloslav Trmač 2005-06-03 19:07:05 EDT
I'm sorry about the late response.

FC2 and FC3 already contain fetchmail 6.2.5, FC1 is now supported by Fedora
Legacy, focusing mainly on security bugs.

Note You need to log in before you can comment on or make changes to this bug.